package com.sksamuel.scoot.rest.client

import com.sksamuel.scoot.rest.Get

/** @author Stephen Samuel
  *
  **/
class RestClient {

    def resource(path: String): Request = Request(path,
        Map.empty,
        NoCredentials,
        Map.empty,
        Map.empty,
        Get,
        None,
        None,
        Nil)
}

object RestClient {
    // returns a new rest client configured with the most common options
    def apply() = new RestClient
}







