package com.sksamuel.scoot.rest.jersey

import com.fasterxml.jackson.databind.ObjectMapper
import com.fasterxml.jackson.module.scala.DefaultScalaModule
import javax.ws.rs.ext.{Provider, ContextResolver}

/** @author Stephen Samuel */
@Provider
class ScalaObjectMapperProvider extends ContextResolver[ObjectMapper] {

    val mapper = new ObjectMapper()
    mapper.registerModule(DefaultScalaModule)

    def getContext(ty: Class[_]) = {
        mapper
    }
}